package com.eactive.eai.inbound.filter; 

public interface AdapterFilter 
{ 
    /**
     *  Adapter 이름을 초기화 한다.
     */
    public void setAdapterInfo(String adapterGroupName,String adapterName);
    
    /**
     *  요청 데이타를 변환한다.
     */
    public Object requestPerform(Object message) throws AdapterFilterException;
    
    /**
     *  응답 데이타를 변환한다.
     */
    public Object responsePerform(Object message) throws AdapterFilterException;
} 
